Bug 4791

Summary: python-hildon should depend on python-notify
Product: [Extras] PyMaemo Reporter: Daniel Martin Yerga <dyerga>
Component: GeneralAssignee: Anderson Lizardo <anderson.lizardo>
Status: RESOLVED FIXED QA Contact: general
Severity: normal    
Priority: Low    
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: Maemo   

Description Daniel Martin Yerga (reporter) 2009-07-16 18:14:10 UTC
SOFTWARE VERSION:
python-hildon version = 0.9.0-1maemo9

STEPS TO REPRODUCE THE PROBLEM:

1) Install python-hildon last version.
2) Uninstall or not to have installed python-notify
3) Run python2.5 and import the hildon module
4) dir(hildon)
5) Check the objects available in the hildon module.


EXPECTED OUTCOME:

Installing python-hildon should pull python-notify because it's necessary to
use python-hildon

ACTUAL OUTCOME:

It shows an error when importing the hildon module: ImportError: could not
import pynotify

Also, some objects from python-hildon aren't available without python-notify
installed (for example, hildon.Window).
Installing python-notify fixes the problem and the objects are available.

REPRODUCIBILITY:
Always.
Comment 1 Anderson Lizardo 2009-07-16 19:26:59 UTC
Fixed on python-hildon 0.9.0-1maemo10. Thanks for your report!